org.apache.storm.starter.spout

## Class RandomSentenceSpout.TimeStamped

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichSpout
    - - org.apache.storm.starter.spout.RandomSentenceSpout
      - - org.apache.storm.starter.spout.RandomSentenceSpout.TimeStamped

- All Implemented Interfaces:
    Serializable, ISpout, IComponent, IRichSpout
  Enclosing class:
    RandomSentenceSpout

      public static class RandomSentenceSpout.TimeStamped
      extends RandomSentenceSpout

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.starter.spout.RandomSentenceSpout

      `RandomSentenceSpout.TimeStamped`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStamped()`
    `TimeStamped(String prefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `sentence(String input)`

    - ### Methods inherited from class org.apache.storm.starter.spout.RandomSentenceSpout

      `ack, declareOutputFields, fail, nextTuple, open`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseRichSpout

      `activate, close, deactivate`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Constructor Detail

    - #### TimeStamped

          public TimeStamped()

    - #### TimeStamped

          public TimeStamped(String prefix)

  - ### Method Detail

    - #### sentence

          protected String sentence(String input)

      Overrides:
        `sentence` in class `RandomSentenceSpout`

Copyright © 2021 The Apache Software Foundation. All rights reserved.